Modify

Opened 3 years ago

Closed 2 years ago

#19095 closed defect (invalid)

opkg update is not working

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: Cc:

Description

when I am trying to run opkg update geting errors:

Collected errors:

Attachments (0)

Change History (14)

comment:1 follow-up: Changed 3 years ago by anonymous

You have problem with connection to the internet, not with opkg.

comment:2 in reply to: ↑ 1 Changed 3 years ago by anonymous

Replying to anonymous:

You have problem with connection to the internet, not with opkg.

connection is ok. Tp-link 1043nd v2.1.

comment:3 Changed 3 years ago by anonymous

upgradet FW. works now

comment:4 Changed 3 years ago by anon2

Good that it works for you.
Advice for others with the same problem in future:

You had old firmware, which missed the /generic/ portion of the download path.
Those lines should be like this:
http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/routing/

See the sticky thread at: https://forum.openwrt.org/viewtopic.php?pid=243943#p243943

comment:5 Changed 3 years ago by jow

  • Resolution set to invalid
  • Status changed from new to closed

comment:6 Changed 3 years ago by anonymous

I have this same error:

BananaPi, Chaos Calmer r44528

opkg update:

opkg_download: Failed to download 
http://downloads.openwrt.org/snapshots/trunk/sunxi/generic/packages/base/Packages.gz, wget returned 1.

wget:

/usr/bin/wget: line 5: syntax error: unexpected ")"

no internet connection problem!!!
package link funkcioning in the browser

comment:7 Changed 3 years ago by anonymous

  • Resolution invalid deleted
  • Status changed from closed to reopened

comment:8 Changed 3 years ago by anonymous

Sorry, i was lame....
Bemused the "wget-ssl"...
wget ok

comment:9 Changed 3 years ago by anonymous

Whats to difficult to type in the link into your damn browser to notice the link isnt there, 404??? They changed the link added another sub-folder into the link, so just edit your damn opkg.conf, damn... omg.

http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/ <= old
http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/packages/ <= new

Blub, blub, blub. Also funny how none of the answers noticed what was the reason for his "problem".

comment:10 Changed 3 years ago by jow

  • Resolution set to invalid
  • Status changed from reopened to closed

comment:11 Changed 2 years ago by anonymous

  • Resolution invalid deleted
  • Status changed from closed to reopened

Similar problem here, error messages:

Network is OK.

Firware: openwrt-sunxi-BPI_R1-sdcard-vfat-ext4-2015-5-9.img from bananapi.com
Hardware BananPi BPi-R1

comment:12 Changed 2 years ago by anonymous

it's not the same problem, it's a different error code, please do not reopen the ticket.

"wget returned 4" => means you have a network failure, probably a firewall blocking access to http://downloads.openwrt.org/

This is the list of exit codes for wget:

0 No problems occurred
1 Generic error code
2 Parse error — for instance, when parsing command-line options, the .wgetrc or .netrc…
3 File I/O error
4 Network failure
5 SSL verification failure
6 Username/password authentication failure
7 Protocol errors
8 Server issued an error response

https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html

comment:13 Changed 2 years ago by anonymous

P.S.

also.. packages in /trunk tend to change daily... assuming 2015-5-9 is a date, you're trying to use a firmware build from May 9th but with binaries built in the last 24 hours.

since May, OpenWrt has changed from kernel 3 to kernel 4 series...

comment:14 Changed 2 years ago by jow

  • Resolution set to invalid
  • Status changed from reopened to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.